package com.ynet.life.sujrb.action;

import com.itextpdf.text.Document;
import com.itextpdf.text.Image;
import com.itextpdf.text.pdf.PdfReader;
import com.itextpdf.text.pdf.PdfStamper;
import com.itextpdf.text.pdf.PdfWriter;
import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.file.LifeFile;
import java.io.File;
import java.io.FileOutputStream;
import java.util.Random;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/JudgeFileNormalAction.class */
public class JudgeFileNormalAction extends LifeAction {
    public String execute(Context context) throws GENEException {
        PdfReader reader;
        PdfStamper stamper;
        String filePath = (String) context.getDataValue("filePath");
        String rootFile = LifeFile.getFileRootPath();
        String filePath2 = String.valueOf(rootFile.substring(0, rootFile.indexOf("upload"))) + filePath;
        String fileName = (String) context.getDataValue("fileName");
        String file = String.valueOf(filePath2) + LifeFile.DIR_SEPARATOR + fileName;
        String filePathCover = String.valueOf(filePath2) + LifeFile.DIR_SEPARATOR + LifeStandard.getServerTime("yyyyMMddHHmmssSSS") + new Random().nextInt(1000) + "_toDelete.pdf";
        String fPathCover = "";
        try {
            try {
                if (fileName.endsWith("pdf") || fileName.endsWith("PDF")) {
                    reader = new PdfReader(file);
                    stamper = new PdfStamper(reader, new FileOutputStream(filePathCover));
                } else {
                    fPathCover = String.valueOf(filePath2) + LifeFile.DIR_SEPARATOR + LifeStandard.getServerTime("yyyyMMddHHmmssSSS") + new Random().nextInt(1000) + "_toDelete.pdf";
                    Document document = new Document();
                    PdfWriter.getInstance(document, new FileOutputStream(fPathCover));
                    document.open();
                    Image image = Image.getInstance(file);
                    document.add(image);
                    document.close();
                    reader = new PdfReader(fPathCover);
                    stamper = new PdfStamper(reader, new FileOutputStream(filePathCover));
                }
                stamper.close();
                reader.close();
                new PdfReader(filePathCover);
            } catch (Exception unused) {
                File delFile = new File(file);
                if (delFile.exists()) {
                    delFile.delete();
                }
                String language = (String) context.get("session_language");
                TranFailException tfe = new TranFailException("00000001", LifeStandard.getResouceDisplayAt("文件解析失败", language), false);
                context.put("GENEException", tfe);
                throw tfe;
            }
        } finally {
            File fileDe = new File(filePathCover);
            File fileD = new File(fPathCover);
            if (fileDe.exists()) {
                fileDe.delete();
            }
            if (fileD.exists()) {
                fileD.delete();
            }
        }
    }
}
